commit 8be50626c1918714046f60a01bce7f6ce3d03f93
Author: Stavros Sachtouris <saxtouri@admin.grnet.gr>
Date:   Tue Aug 6 14:07:28 2013 +0300

    rename floatingip --> ip in server + docs

diff --git a/docs/commands.rst b/docs/commands.rst
index b026dc4..20eaf99 100644
--- a/docs/commands.rst
+++ b/docs/commands.rst
@@ -148,6 +148,14 @@ server (Compute/Cyclades)
     firewall:  Manage server's firewall profile
         set :  Set the server's firewall profile
         get :  Get the server's firewall profile
+    ip      :  Manage floating IPs for the servers
+        attach:  Attach a floating ip to a server with server_id
+        info  :  A floating IPs' details
+        detach:  Detach floating ip from server
+        list  :  List all floating ips
+        create:  Create a new floating IP
+        delete:  Delete a floating ip
+        pools :  List all floating pools of floating ips
     info    :  Get server details
     list    :  List servers
     metadata:  Manage Server Metadata
diff --git a/docs/man/kamaki.rst b/docs/man/kamaki.rst
index d134bc8..51e4297 100644
--- a/docs/man/kamaki.rst
+++ b/docs/man/kamaki.rst
@@ -119,6 +119,14 @@ server commands
 * firewall  Set the server (VM) firewall profile for public networks
     * set   Set the firewall profile
     * get   Get the firewall profile
+* ip        Manage floating IPs for the servers
+    * attach    Attach a floating ip to a server with server_id
+    * info      A floating IPs' details
+    * detach    Detach floating ip from server
+    * list      List all floating ips
+    * create    Create a new floating IP
+    * delete    Delete a floating ip
+    * pools     List all floating pools of floating ips
 * info      Detailed information on a Virtual Machine
 * list      List Virtual Machines accessible by user
 * metadata  Manage a server metadata
diff --git a/docs/usage.rst b/docs/usage.rst
index a4a6bc8..0ed64c2 100644
--- a/docs/usage.rst
+++ b/docs/usage.rst
@@ -175,6 +175,7 @@ and of a command in that group (list) are shown.
     create  :  Create a server (aka Virtual Machine)
     delete  :  Delete a server (VM)
     firewall:  Manage server (VM) firewall profiles for public networks
+    ip      :  Manage floating IPs for the servers
     info    :  Detailed information on a Virtual Machine
     list    :  List Virtual Machines accessible by user
     metadata:  Manage Server metadata (key:value pairs of server attributes)
diff --git a/kamaki/cli/commands/cyclades.py b/kamaki/cli/commands/cyclades.py
index 1a43390..1b0c6bd 100644
--- a/kamaki/cli/commands/cyclades.py
+++ b/kamaki/cli/commands/cyclades.py
@@ -48,9 +48,7 @@ from os.path import exists
 server_cmds = CommandTree('server', 'Cyclades/Compute API server commands')
 flavor_cmds = CommandTree('flavor', 'Cyclades/Compute API flavor commands')
 network_cmds = CommandTree('network', 'Cyclades/Compute API network commands')
-floatingip_cmds = CommandTree(
-    'floatingip', 'Cyclades/Compute API floating ip commands')
-_commands = [server_cmds, flavor_cmds, network_cmds, floatingip_cmds]
+_commands = [server_cmds, flavor_cmds, network_cmds]
 
 
 about_authentication = '\nUser Authentication:\
@@ -861,8 +859,13 @@ class network_wait(_init_cyclades, _network_wait):
         self._run(network_id=network_id, currect_status=currect_status)
 
 
-@command(floatingip_cmds)
-class floatingip_pools(_init_cyclades, _optional_json):
+@command(server_cmds)
+class server_ip(_init_cyclades):
+    """Manage floating IPs for the servers"""
+
+
+@command(server_cmds)
+class server_ip_pools(_init_cyclades, _optional_json):
     """List all floating pools of floating ips"""
 
     @errors.generic.all
@@ -876,8 +879,8 @@ class floatingip_pools(_init_cyclades, _optional_json):
         self._run()
 
 
-@command(floatingip_cmds)
-class floatingip_list(_init_cyclades, _optional_json):
+@command(server_cmds)
+class server_ip_list(_init_cyclades, _optional_json):
     """List all floating ips"""
 
     @errors.generic.all
@@ -891,8 +894,8 @@ class floatingip_list(_init_cyclades, _optional_json):
         self._run()
 
 
-@command(floatingip_cmds)
-class floatingip_info(_init_cyclades, _optional_json):
+@command(server_cmds)
+class server_ip_info(_init_cyclades, _optional_json):
     """A floating IPs' details"""
 
     @errors.generic.all
@@ -905,8 +908,8 @@ class floatingip_info(_init_cyclades, _optional_json):
         self._run(ip=ip)
 
 
-@command(floatingip_cmds)
-class floatingip_create(_init_cyclades, _optional_json):
+@command(server_cmds)
+class server_ip_create(_init_cyclades, _optional_json):
     """Create a new floating IP"""
 
     arguments = dict(
@@ -924,8 +927,8 @@ class floatingip_create(_init_cyclades, _optional_json):
         self._run(ip=requested_address)
 
 
-@command(floatingip_cmds)
-class floatingip_delete(_init_cyclades, _optional_output_cmd):
+@command(server_cmds)
+class server_ip_delete(_init_cyclades, _optional_output_cmd):
     """Delete a floating ip"""
 
     @errors.generic.all
@@ -956,7 +959,7 @@ class server_ip_attach(_init_cyclades, _optional_output_cmd):
 
 @command(server_cmds)
 class server_ip_detach(_init_cyclades):
-    """detach_floating_ip_to_server
+    """Detach floating IP from server
     """
 
     @errors.generic.all
